- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# lpstats_struct Struct Reference

`#include <dylp.h>`

List of all members.

## Public Attributes
int | phasecnts [dyDONE+1]
dyphase_enum | ini_simplex
struct {
int sze
double * angle
int * actcnt
int * deactcnt
bool * init
bool * fin
} | cons
struct {
int sze
int * actcnt
int * deactcnt
} | vars
struct {
float max
float min
int hist [DYSTATS_HISTBINS]
} | angle
struct {
int cnt
int prevpiv
float avgpivs
int maxpivs
} | factor
struct {
int max
int mad
int sing
int pivtol_red
double min_pivtol
int puntcall
int puntret
} | pivrej
struct {
int flippable
int cnt
int cands
int promote
int nontrivial
int evals
int flips
int pivrnks
int maxrnk
} | dmulti
struct {
int cnt
int cands
int nontrivial
int promote
} | pmulti
struct {
int prevpiv
int maxcnt
int totpivs
int maxpivs
int chgcnt1
int chgcnt2
} | infeas
struct {
int cnt
float avgsiz
int maxsiz
int totpivs
float avgpivs
int maxpivs
} | pdegen [DYSTATS_MAXDEGEN]
struct {
int cnt
float avgsiz
int maxsiz
int totpivs
float avgpivs
int maxpivs
} | ddegen [DYSTATS_MAXDEGEN]
struct {
int iters
int pivs
} | tot
struct {
int iters
int pivs
} | p1
struct {
int iters
int pivs
} | p2
struct {
int iters
int pivs
} | d2

## Detailed Description

Definition at line 1263 of file dylp.h.

## Member Data Documentation

int lpstats_struct::phasecnts[dyDONE+1]

Definition at line 1264 of file dylp.h.

dyphase_enum lpstats_struct::ini_simplex

Definition at line 1265 of file dylp.h.

int lpstats_struct::sze

Definition at line 1266 of file dylp.h.

double* lpstats_struct::angle

Definition at line 1267 of file dylp.h.

int* lpstats_struct::actcnt

Definition at line 1268 of file dylp.h.

int* lpstats_struct::deactcnt

Definition at line 1269 of file dylp.h.

bool* lpstats_struct::init

Definition at line 1270 of file dylp.h.

bool* lpstats_struct::fin

Definition at line 1271 of file dylp.h.

struct { ... } lpstats_struct::cons

int* lpstats_struct::actcnt

Definition at line 1273 of file dylp.h.

int* lpstats_struct::deactcnt

Definition at line 1274 of file dylp.h.

struct { ... } lpstats_struct::vars

float lpstats_struct::max

Definition at line 1275 of file dylp.h.

float lpstats_struct::min

Definition at line 1276 of file dylp.h.

int lpstats_struct::hist[DYSTATS_HISTBINS]

Definition at line 1277 of file dylp.h.

struct { ... } lpstats_struct::angle

int lpstats_struct::cnt

Definition at line 1278 of file dylp.h.

int lpstats_struct::prevpiv

Definition at line 1279 of file dylp.h.

float lpstats_struct::avgpivs

Definition at line 1280 of file dylp.h.

int lpstats_struct::maxpivs

Definition at line 1281 of file dylp.h.

struct { ... } lpstats_struct::factor

int lpstats_struct::max

Definition at line 1282 of file dylp.h.

int lpstats_struct::mad

Definition at line 1283 of file dylp.h.

int lpstats_struct::sing

Definition at line 1284 of file dylp.h.

int lpstats_struct::pivtol_red

Definition at line 1285 of file dylp.h.

double lpstats_struct::min_pivtol

Definition at line 1286 of file dylp.h.

int lpstats_struct::puntcall

Definition at line 1287 of file dylp.h.

int lpstats_struct::puntret

Definition at line 1288 of file dylp.h.

struct { ... } lpstats_struct::pivrej

int lpstats_struct::flippable

Definition at line 1289 of file dylp.h.

int lpstats_struct::cands

Definition at line 1291 of file dylp.h.

int lpstats_struct::promote

Definition at line 1292 of file dylp.h.

int lpstats_struct::nontrivial

Definition at line 1293 of file dylp.h.

int lpstats_struct::evals

Definition at line 1294 of file dylp.h.

int lpstats_struct::flips

Definition at line 1295 of file dylp.h.

int lpstats_struct::pivrnks

Definition at line 1296 of file dylp.h.

int lpstats_struct::maxrnk

Definition at line 1297 of file dylp.h.

struct { ... } lpstats_struct::dmulti

struct { ... } lpstats_struct::pmulti

int lpstats_struct::maxcnt

Definition at line 1303 of file dylp.h.

int lpstats_struct::totpivs

Definition at line 1304 of file dylp.h.

int lpstats_struct::chgcnt1

Definition at line 1306 of file dylp.h.

int lpstats_struct::chgcnt2

Definition at line 1307 of file dylp.h.

struct { ... } lpstats_struct::infeas

float lpstats_struct::avgsiz

Definition at line 1309 of file dylp.h.

int lpstats_struct::maxsiz

Definition at line 1310 of file dylp.h.

struct { ... } lpstats_struct::pdegen[DYSTATS_MAXDEGEN]

struct { ... } lpstats_struct::ddegen[DYSTATS_MAXDEGEN]

int lpstats_struct::iters

Definition at line 1320 of file dylp.h.

int lpstats_struct::pivs

Definition at line 1321 of file dylp.h.

struct { ... } lpstats_struct::tot

struct { ... } lpstats_struct::p1

struct { ... } lpstats_struct::p2

struct { ... } lpstats_struct::d2

The documentation for this struct was generated from the following file:

- /home/coin/SVN-release/Cgl-0.53.1/DyLP/src/Dylp/dylp.h